新安装的Ubuntu系统(其实其他Linux发行版也一样),都不会给安装上音频及视频解码器,导致你双击或右键播放某个mp3或视频时会报错,会提示安装解码器。

解码器安装正常情况下输入密码后自动安装完成,但更多的时候我们更换了更新源,也不想将更新源设置为Ubuntu的main server,不知道怎么添加PUBLIC Key,剩下的就是提示安装失败:

1
2
Requires installation of untrusted packages
The action would require the installation of packages from not authenticated sources.

处理这个问题可以花点时间折腾update manager设置,还原为默认更新源,勾选source code等。如果不想折腾,只需要点击detail查看详情,将提示的软件包复制,用终端sudo apt-get install安装即可。

mp3解码器安装:

1
xxx@xxx:~$ sudo apt-get install gstreamer0.10-fluendo-mp3 gstreamer0.10-plugins-ugly liba52-0.7.4 libdvdnav4 libdvdread4 libmad0 libmp3lame0 libmpeg2-4 liboil0.3 libopencore-amrnb0 libopencore-amrwb0 libsidplay1 libtwolame0 libx264-120

视频解码器安装同样的方法可以解决,其实其他软件也一样,视图方式无法继续时,转到终端安装往往能顺利完成。